mvnForum Homepage


Posted by janthenat at Oct 5, 2013 12:10:51 PM
How to get v1.4.2?
Any idea how I can get my hands on the PocketSword iOS app v1.4.2?  I have an older iPod Touch... er, make that the oldest iPod Touch (1g) and it can only run iOS 3.x.  The last version of PocketSword that worked was v1.4.2.

Any place to download it?

Thanks.